Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 104490 - CAN-2003-0693/5 OpenSSH buffer allocation bug
CAN-2003-0693/5 OpenSSH buffer allocation bug
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openssh (Show other bugs)
2.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-16 08:09 EDT by Mark J. Cox
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-17 15:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:280 normal SHIPPED_LIVE Critical: openssh security update 2003-09-16 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2003-09-16 08:09:46 EDT
A bug has been found in the buffer code in OpenSSH.  It is not yet clear if this
could be exploited by an attacker but several possible attack vectors are under
evaluation.  A patch from the OpenBSD team is available.

RHSA-2003:280 in progress.
Comment 1 Mark J. Cox 2003-09-16 13:51:34 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-280.html
Comment 2 Mark J. Cox 2003-09-17 04:02:26 EDT
Reopening bug due to additional issues found in OpenSSH.

I've allocated CAN-2003-0695 to these additional fixes and we're working on
updating our package sets.
Comment 3 Mark J. Cox 2003-09-17 15:58:32 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-280.html

Note You need to log in before you can comment on or make changes to this bug.